package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag101;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT101Creator;

public class Tag21RCreator extends AbsTagCreate{
    private MT101Creator mt101Creator;

    public Tag21RCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt101Creator = (MT101Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag21RValue = mt101Creator.getCustomerSpecifiedReference();
        mt101Creator.set("21R", tag21RValue);
    }
}
